Subject: Re: Washington Issue 14 - Errors when parsing

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 1 Dec 1999 01:16:14 -0500

I don't agree.  We seem to agree that this error is non recoverable.
If it happens in a live system, it will require management action,
(and ultimately vendor rework).  The MGCs response to this error should
be to alert management.

The issue is whether the MGC should completely shut down the MG, or
abandon the call and try to keep the rest of the system going.  It
can always decide to shut down the MG.  It should be not be obligated
to do so.

So, I think the protocol should be defined to return an error.  The
document need not specify what the MGC's response need be.

Brian

> -----Original Message-----
> From: Harpreet Singh Anand [mailto:[email-masked]]
> Sent: Tuesday, November 30, 1999 5:28 AM
> To: Rosen, Brian
> Cc: [email-masked]
> Subject: Re: Washington Issue 14 - Errors when parsing
>
>
>
>
> > > (1) I agree with you that error in TransactionReply is a
> > > fatal error and it will
> > > be difficult to recover from this kind of error. So what are
> > > the various
> > > possibilities of recovery:
> > >
> > > a) the entity receiving erroneous TransactionReply sends back
> > > an error message.
> > > This as you have pointed out above will not help.
> > >
> > > b) an alternative can be that the entity can keep a count of
> > > the no. of times
> > > such an error occurs and breaks the association  when the
> > > count exceeds a
> > > particular threshold.
> > >
> > > Chances of errors in TransactionReply should be rare
> (coding error or
> > > configuration problem) but we should define some mechanism of
> > > dealing with it
> > > when it occurs.
> > > Please give your feedback.
> > >
> > I think a) is the best course of action in this case.  It
> won't recover,
> > but it gives the most direct response possible.  b) simply
> delays the
> > inevitable and is less desirable IMO.
>
> Option a) is better if we define the action to be taken by
> the entity receiving
> error message for a TransactionReply to be breaking the association.
>
> If there is no action defined, then a) is not achieving anything.
>
>
> Regards,
> Harpreet
>
> _________________________________
> Harpreet Singh Anand
> Ficon Technology
> E-mail :  mailto:[email-masked]
> Web    :  http://www.ficon-tech.com
>
>